Bug 103012 - up2date fails to update grub.conf
up2date fails to update grub.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 10:23 EDT by Bill Scherer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 12:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Scherer 2003-08-25 10:23:03 EDT
Description of problem:

At end of package installation (including kernel), up2date fails, dump the
following traceback to the console:

Traceback (innermost last):
  File "/usr/share/rhn/up2date_client/gui.py", line 909, in doInstallation
    up2date.installBootLoader(kernelsToInstall)
  File "/usr/share/rhn/up2date_client/up2date.py", line 608, in installBootLoader
    __install_grub(kernelList)
  File "/usr/share/rhn/up2date_client/up2date.py", line 624, in __install_grub
    ret  = grubcfg.installNewImages(kernelList,test=0)
AttributeError: installNewImages


This is on RHASv2.1.  It leaves me having to update grub.conf manually.
Comment 1 Bill Scherer 2003-08-25 13:16:38 EDT
Correction: up2date *did* update grub.conf, so, no major issues here, just that
the up2date gui is left hanging (cancel does exit)...

Note You need to log in before you can comment on or make changes to this bug.